from fastapi import APIRouter
from backend.app.api.endpoints import auth, cameras, models_api, tasks, logs, reports

api_router = APIRouter()
api_router.include_router(auth.router, tags=["login"])
api_router.include_router(cameras.router, prefix="/cameras", tags=["cameras"])
api_router.include_router(models_api.router, prefix="/models", tags=["models"])
api_router.include_router(tasks.router, prefix="/tasks", tags=["tasks"])
api_router.include_router(logs.router, prefix="/logs", tags=["logs"])
api_router.include_router(reports.router, prefix="/reports", tags=["reports"])

